<?php
define('NTLCMS', 1);
$module = 'naperstki';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница игры наперстки - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
$cena = 5;
$priz = 10;
$rand = mt_rand(100, 999);
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
switch($act){
default:
echo '<div class="title">Наперстки</div>';
echo '<div class="menu"><b>Угадай под каким из трех наперстков находится шарик.</b></div>';
echo '<div class="menu">Стоимость игры: '.coins(round($_USER, 2)).' '.$cena.'</br> Выигрыш: '.coins(round($_USER, 2)).' '.$priz.'</div>';
echo '<div class="menu"> <b>В наличии вашего банка:</b> '.coins(round($_USER['bank'], 2)).'<br><hr>
<img src="/games/img/1.gif" alt="image"  width="90" /><br><br>
<b><a href="/ss">Играть</a></b><br><hr>
<a href="/faq">Правила</a><br>
</div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/games"> Развлечения</a></div>';
break;
case 'ss':
if (isset($_SESSION['naperstki'])) {
unset($_SESSION['naperstki']);
}
echo '	<div class="menu">	
В наличии: ' . coins(round($_USER['bank'], 2)).'<br><hr>
<a href="/thimble1' . $rand . '"><img src="/games/img/2.gif" alt="image" /></a> 
<a href="/thimble2' . $rand . '"><img src="/games/img/2.gif" alt="image" /></a> 
<a href="/thimble3' . $rand . '"><img src="/games/img/2.gif" alt="image" /></a><br /><br />
<font color="red">(!)</font> Выберите наперсток в котором может находится шарик<br>
</div>';	
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/naperstki"> Вернуться</a></div>';	
break;
case 'ok':
$thimble = isset($_GET['thimble']) ? filter_var($_GET['thimble'], FILTER_SANITIZE_NUMBER_INT) : '0';
if (!isset($_SESSION['naperstki'])) {
$_SESSION['naperstki'] = 0;
}
echo '<div class="menu">';		
if ($_USER['bank'] >= $cena) {
if ($_SESSION['naperstki'] < 3) {
$_SESSION['naperstki']++;
$rand_thimble = mt_rand(1, 3);
if ($rand_thimble == 1) {
echo '<img src="/games/img/3.gif" alt="image" /> ';
} else {
echo '<img src="/games/img/2.gif" alt="image" /> ';
}
if ($rand_thimble == 2) {
echo '<img src="/games/img/3.gif" alt="image" /> ';
} else {
echo '<img src="/games/img/2.gif" alt="image" /> ';
}
if ($rand_thimble == 3) {
echo '<img src="/games/img/3.gif" alt="image" /> ';
} else {
echo '<img src="/games/img/2.gif" alt="image" /> ';
}
if ($thimble == $rand_thimble) {
DB::run()->query("UPDATE users SET `bank` = `bank` + ? WHERE login=?", array($priz , $login));
echo '<br /><b><i class="fa  fa-check fa-fw"></i> Вы выиграли!</b><br/>';
} else {
DB::run()->query("UPDATE users SET `bank` = `bank` - ? WHERE login=?", array($cena, $login));
echo '<br><b><i class="fa fa-close fa-fw"></i> Вы проиграли!</b><br/>';
}
} else {
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Необходимо выбрать один из наперстков</center></div>';
}
echo '<br /><b><a href="/rand' . $rand . '">К выбору</a></b><br /><br />';
echo'</div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/naperstki"> Вернуться</a></div>';
} else {
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Вы не можете играть, т.к. на вашем счету недостаточно средств</center></div>';	
echo' </div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/naperstki"> Вернуться</a></div>';	
}
break;
case "faq":
echo '	<div class="menu">
Для участия в игре нажмите "Играть"<br>
За каждый проигрыш у вас будут списывать по ' . coins($cena) . '<br>
За каждый выигрыш вы получите ' . coins($priz ). '<br>
Шанс банкира на выигрыш немного больше, чем у вас<br>
Итак дерзайте!<br>
</div>';		
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/naperstki"> Вернуться</a></div>';
break;
}
include ('../system/foot.php');
?>